## r-bioc-biovizbase 1.50.0

=== DESCRIPTION ===
Package: biovizBase
Version: 1.50.0
Title: Basic graphic utilities for visualization of genomic data.
Description: The biovizBase package is designed to provide a set of
        utilities, color schemes and conventions for genomic data. It
        serves as the base for various high-level packages for
        biological data visualization. This saves development effort
        and encourages consistency.
Authors@R: c(person("Tengfei", "Yin", role=c("aut"),
                 email="yintengfei@gmail.com"),
          person("Michael", "Lawrence", role=c("aut", "ths", "cre"),
                 email="michafla@gene.com"),
          person("Dianne", "Cook", role=c("aut", "ths")),
          person("Johannes", "Rainer", role="ctb"))
Depends: R (>= 3.5.0), methods
Imports: grDevices, stats, scales, Hmisc, RColorBrewer, dichromat,
        BiocGenerics, S4Vectors (>= 0.23.19), IRanges (>= 1.99.28),
        GenomeInfoDb (>= 1.5.14), GenomicRanges (>= 1.23.21),
        SummarizedExperiment, Biostrings (>= 2.33.11), Rsamtools (>=
        1.17.28), GenomicAlignments (>= 1.1.16), GenomicFeatures (>=
        1.21.19), AnnotationDbi, VariantAnnotation (>= 1.11.4),
        ensembldb (>= 1.99.13), AnnotationFilter (>= 0.99.8), rlang
Suggests: BSgenome.Hsapiens.UCSC.hg19,
        TxDb.Hsapiens.UCSC.hg19.knownGene, BSgenome, rtracklayer,
        EnsDb.Hsapiens.v75, RUnit
License: Artistic-2.0
LazyLoad: Yes
LazyData: Yes
Collate: utils.R color.R AllGenerics.R crunch-method.R mold-method.R
        addStepping-method.R getFragLength-method.R
        shrinkageFun-method.R maxGap-method.R spliceSummary-method.R
        ideogram.R pileup.R coverage.R labs.R original.R transform.R
        facets-method.R aes.R scale.R zzz.R biovizBase-package.R
biocViews: Infrastructure, Visualization, Preprocessing
git_url: https://git.bioconductor.org/packages/biovizBase
git_branch: RELEASE_3_18
git_last_commit: c961633
git_last_commit_date: 2023-10-24
Date/Publication: 2023-10-24
NeedsCompilation: yes
Packaged: 2023-10-24 20:29:33 UTC; biocbuild
Author: Tengfei Yin [aut],
  Michael Lawrence [aut, ths, cre],
  Dianne Cook [aut, ths],
  Johannes Rainer [ctb]
Maintainer: Michael Lawrence <michafla@gene.com>

=== debian/changelog ===
r-bioc-biovizbase (1.50.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 11:17:38 +0100

=== debian/control ===
Source: r-bioc-biovizbase
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-scales,
               r-cran-hmisc,
               r-cran-rcolorbrewer,
               r-cran-dichromat,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-genomeinfodb,
               r-bioc-genomicranges,
               r-bioc-summarizedexperiment,
               r-bioc-biostrings,
               r-bioc-rsamtools,
               r-bioc-genomicalignments,
               r-bioc-genomicfeatures,
               r-bioc-annotationdbi,
               r-bioc-variantannotation,
               r-bioc-ensembldb,
               r-bioc-annotationfilter,
               r-cran-rlang
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biovizbase
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biovizbase.git
Homepage: https://bioconductor.org/packages/biovizBase/
Rules-Requires-Root: no

Package: r-bioc-biovizbase
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R basic graphic utilities for visualization of genomic data
 The biovizBase package is designed to provide a set of utilities, color
 schemes and conventions for genomic data. It serves as the base for
 various high-level packages for biological data visualization. This
 saves development effort and encourages consistency.

## r-bioc-biovizbase 1.52.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biovizBase
-Version: 1.50.0
+Version: 1.52.0
 Title: Basic graphic utilities for visualization of genomic data.
 Description: The biovizBase package is designed to provide a set of
         utilities, color schemes and conventions for genomic data. It
@@ -33,12 +33,13 @@
         facets-method.R aes.R scale.R zzz.R biovizBase-package.R
 biocViews: Infrastructure, Visualization, Preprocessing
 git_url: https://git.bioconductor.org/packages/biovizBase
-git_branch: RELEASE_3_18
-git_last_commit: c961633
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 1cfd8c1
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2023-10-24 20:29:33 UTC; biocbuild
+Packaged: 2024-05-01 02:49:24 UTC; biocbuild
 Author: Tengfei Yin [aut],
   Michael Lawrence [aut, ths, cre],
   Dianne Cook [aut, ths],

=== debian/changelog ===
r-bioc-biovizbase (1.52.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:34:55 +0200

r-bioc-biovizbase (1.52.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/control: bump minimum versions of r-bioc-* packages to bioc-3.19+
    versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 17:07:38 +0200

r-bioc-biovizbase (1.52.0-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 01:37:00 +0200

=== debian/control ===
Source: r-bioc-biovizbase
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biovizbase
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biovizbase.git
Homepage: https://bioconductor.org/packages/biovizBase/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-scales,
               r-cran-hmisc,
               r-cran-rcolorbrewer,
               r-cran-dichromat,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-genomeinfodb (>= 1.40.1),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-summarizedexperiment (>= 1.34.0),
               r-bioc-biostrings (>= 2.72.1),
               r-bioc-rsamtools (>= 2.20.0),
               r-bioc-genomicalignments (>= 1.40.0),
               r-bioc-genomicfeatures (>= 1.56.0),
               r-bioc-annotationdbi (>= 1.66.0),
               r-bioc-variantannotation (>= 1.50.0),
               r-bioc-ensembldb (>= 2.28.0),
               r-bioc-annotationfilter (>= 1.28.0),
               r-cran-rlang,
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-biovizbase
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-genomeinfodb (>= 1.40.1),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-summarizedexperiment (>= 1.34.0),
         r-bioc-biostrings (>= 2.72.1),
         r-bioc-rsamtools (>= 2.20.0),
         r-bioc-genomicalignments (>= 1.40.0),
         r-bioc-genomicfeatures (>= 1.56.0),
         r-bioc-annotationdbi (>= 1.66.0),
         r-bioc-variantannotation (>= 1.50.0),
         r-bioc-ensembldb (>= 2.28.0),
         r-bioc-annotationfilter (>= 1.28.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-bsgenome (>= 1.72.0),
          r-bioc-rtracklayer (>= 1.64.0)
Description: GNU R basic graphic utilities for visualization of genomic data
 The biovizBase package is designed to provide a set of utilities, color
 schemes and conventions for genomic data. It serves as the base for
 various high-level packages for biological data visualization. This
 saves development effort and encourages consistency.

## r-bioc-biovizbase 1.54.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biovizBase
-Version: 1.52.0
+Version: 1.54.0
 Title: Basic graphic utilities for visualization of genomic data.
 Description: The biovizBase package is designed to provide a set of
         utilities, color schemes and conventions for genomic data. It
@@ -33,13 +33,13 @@
         facets-method.R aes.R scale.R zzz.R biovizBase-package.R
 biocViews: Infrastructure, Visualization, Preprocessing
 git_url: https://git.bioconductor.org/packages/biovizBase
-git_branch: RELEASE_3_19
-git_last_commit: 1cfd8c1
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 6735c2d
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 02:49:24 UTC; biocbuild
+Packaged: 2024-10-29 23:46:42 UTC; biocbuild
 Author: Tengfei Yin [aut],
   Michael Lawrence [aut, ths, cre],
   Dianne Cook [aut, ths],

=== debian/changelog ===
r-bioc-biovizbase (1.54.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Jan 2025 08:31:54 +0100

r-bioc-biovizbase (1.54.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Nov 2024 17:18:27 +0100

=== debian/control ===
Source: r-bioc-biovizbase
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-scales,
               r-cran-hmisc,
               r-cran-rcolorbrewer,
               r-cran-dichromat,
               r-bioc-biocgenerics,
               r-bioc-s4vectors,
               r-bioc-iranges,
               r-bioc-genomeinfodb,
               r-bioc-genomicranges,
               r-bioc-summarizedexperiment,
               r-bioc-biostrings,
               r-bioc-rsamtools,
               r-bioc-genomicalignments,
               r-bioc-genomicfeatures,
               r-bioc-annotationdbi,
               r-bioc-variantannotation,
               r-bioc-ensembldb,
               r-bioc-annotationfilter,
               r-cran-rlang,
               architecture-is-64-bit
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biovizbase
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biovizbase.git
Homepage: https://bioconductor.org/packages/biovizBase/
Rules-Requires-Root: no

Package: r-bioc-biovizbase
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R basic graphic utilities for visualization of genomic data
 The biovizBase package is designed to provide a set of utilities, color
 schemes and conventions for genomic data. It serves as the base for
 various high-level packages for biological data visualization. This
 saves development effort and encourages consistency.
